Continuation (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.continuations

## Interface Continuation

-     public interface Continuation

  Represents transport-neutral suspended invocation instances or continuations

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `getObject()` | Get arbitrary object associated with the continuation for context
    `boolean` | `isNew()` | Is this a newly created Continuation.
    `boolean` | `isPending()` | Get the pending status
    `boolean` | `isReadyForWrite()` |
    `boolean` | `isResumed()` | Get the resumed status
    `boolean` | `isTimeout()` | Get the timeout status
    `void` | `reset()` | Reset the continuation
    `void` | `resume()` | Resume a suspended request
    `void` | `setObject​(Object o)` | Sets arbitrary object associated with the continuation for context
    `boolean` | `suspend​(long timeout)` | This method will suspend the request for the timeout or until resume is called

- - ### Method Detail

    - #### suspend

          boolean suspend​(long timeout)

      This method will suspend the request for the timeout or until resume is called
      Parameters:
        `timeout` - the suspend timeout, timeout of 0 will suspend the request indefinitely.
      Returns:
        true if suspend was successful.

    - #### resume

          void resume()

      Resume a suspended request

    - #### reset

          void reset()

      Reset the continuation

    - #### isNew

          boolean isNew()

      Is this a newly created Continuation.
      Returns:
        true if the continuation has just been created and has not yet suspended the request.

    - #### isPending

          boolean isPending()

      Get the pending status
      Returns:
        true if the continuation has been suspended.

    - #### isResumed

          boolean isResumed()

      Get the resumed status
      Returns:
        true if the continuation is has been resumed.

    - #### isTimeout

          boolean isTimeout()

      Get the timeout status
      Returns:
        true if the continuation is has been timeout.

    - #### getObject

          Object getObject()

      Get arbitrary object associated with the continuation for context
      Returns:
        An arbitrary object associated with the continuation

    - #### setObject

          void setObject​(Object o)

      Sets arbitrary object associated with the continuation for context
      Parameters:
        `o` - An arbitrary object to associate with the continuation

    - #### isReadyForWrite

          boolean isReadyForWrite()